librevenge::RVNGHTMLTextStream Struct Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
librevenge::RVNGHTMLTextStream Struct Reference

## Public Member Functions
| RVNGHTMLTextStream (RVNGHTMLTextZone *zone)
| constructor
| ~RVNGHTMLTextStream ()
| destructor
void | addLabel (std::ostream &output)
| add a label called on main and a label in this ( delayed to allow openParagraph to be called )
void | flush ()
| flush delayed label, ...
std::ostream & | stream ()
| return the stream
void | send ()
| send the data to the zone
void | sendMain (std::ostream &output)
| send the data to the zone

## Protected Member Functions
std::string | label () const
| return the stream label

## Protected Attributes
RVNGHTMLTextZone * | m_zone
| a zone
int | m_zoneId
| the zone id
std::ostringstream | m_stream
| the stream
std::string | m_delayedLabel
| the label

## Private Member Functions
| RVNGHTMLTextStream (RVNGHTMLTextStream const &orig)
RVNGHTMLTextStream | operator= (RVNGHTMLTextStream const &orig)

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextStream() [1/2]

librevenge::RVNGHTMLTextStream::RVNGHTMLTextStream | ( | RVNGHTMLTextZone * | zone | ) |
| inline

constructor

## ◆ ~RVNGHTMLTextStream()

librevenge::RVNGHTMLTextStream::~RVNGHTMLTextStream | ( |  | ) |
| inline

destructor

## ◆ RVNGHTMLTextStream() [2/2]

librevenge::RVNGHTMLTextStream::RVNGHTMLTextStream | ( | RVNGHTMLTextStream const & | orig | ) |
| private

## Member Function Documentation

## ◆ addLabel()

void librevenge::RVNGHTMLTextStream::addLabel | ( | std::ostream & | output | ) |
| inline

add a label called on main and a label in this ( delayed to allow openParagraph to be called )

Referenced by librevenge::RVNGHTMLTextGenerator::openComment(), librevenge::RVNGHTMLTextGenerator::openEndnote(), librevenge::RVNGHTMLTextGenerator::openFootnote(), and librevenge::RVNGHTMLTextGenerator::openTextBox().

## ◆ flush()

void librevenge::RVNGHTMLTextStream::flush | ( |  | ) |
| inline

flush delayed label, ...

Referenced by addLabel(), librevenge::RVNGHTMLTextGeneratorImpl::output(), send(), and sendMain().

## ◆ label()

std::string librevenge::RVNGHTMLTextStream::label | ( |  | ) | const
| inlineprotected

return the stream label

Referenced by addLabel().

## ◆ operator=()

RVNGHTMLTextStream librevenge::RVNGHTMLTextStream::operator= | ( | RVNGHTMLTextStream const & | orig | ) |
| private

## ◆ send()

void librevenge::RVNGHTMLTextStream::send | ( |  | ) |
| inline

send the data to the zone

Referenced by librevenge::RVNGHTMLTextGeneratorImpl::pop().

## ◆ sendMain()

void librevenge::RVNGHTMLTextStream::sendMain | ( | std::ostream & | output | ) |
| inline

send the data to the zone

Referenced by librevenge::RVNGHTMLTextGeneratorImpl::flushUnsent().

## ◆ stream()

std::ostream & librevenge::RVNGHTMLTextStream::stream | ( |  | ) |
| inline

return the stream

Referenced by librevenge::RVNGHTMLTextGeneratorImpl::output().

## Member Data Documentation

## ◆ m_delayedLabel

std::string librevenge::RVNGHTMLTextStream::m_delayedLabel
| protected

the label

Referenced by addLabel(), and flush().

## ◆ m_stream

std::ostringstream librevenge::RVNGHTMLTextStream::m_stream
| protected

the stream

Referenced by flush(), send(), sendMain(), and stream().

## ◆ m_zone

RVNGHTMLTextZone* librevenge::RVNGHTMLTextStream::m_zone
| protected

a zone

Referenced by label(), RVNGHTMLTextStream(), and send().

## ◆ m_zoneId

int librevenge::RVNGHTMLTextStream::m_zoneId
| protected

the zone id

Referenced by label(), RVNGHTMLTextStream(), and send().

The documentation for this struct was generated from the following file:

- RVNGHTMLTextGenerator.cpp